apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: nginx-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
   # nginx.ingress.kubernetes.io/limit-rps: "5"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"




spec:
  rules:
    - host: steptracker.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: frontend
                port:
                  number: 80

    - host: authentication.steptracker.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: authentication-service 
                port:
                  number: 80                   


    - host: stepchecker.steptracker.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: stepchecker-service
                port:
                  number: 80        


    - host: user.steptracker.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: user-service
                port:
                  number: 80   


    - host: step.steptracker.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: step-service
                port:
                  number: 80     

    - host: achievement.steptracker.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: achivement-service
                port:
                  number: 80   
